package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * PstatModel对象 pstat_model
 * 
 * @author hlf
 * @date 2022-01-26
 */
public class PstatModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long pstatNo;

    private String pstatName;

    private Long pstatType;

    private String dllName;

    private Long processTag;

    private Long relatedParaTable;

    private String processTagName;

    public void setPstatNo(Long pstatNo) 
    {
        this.pstatNo = pstatNo;
    }

    public Long getPstatNo() 
    {
        return pstatNo;
    }
    public void setPstatName(String pstatName) 
    {
        this.pstatName = pstatName;
    }

    public String getPstatName() 
    {
        return pstatName;
    }
    public void setPstatType(Long pstatType) 
    {
        this.pstatType = pstatType;
    }

    public Long getPstatType() 
    {
        return pstatType;
    }
    public void setDllName(String dllName) 
    {
        this.dllName = dllName;
    }

    public String getDllName() 
    {
        return dllName;
    }
    public void setProcessTag(Long processTag) 
    {
        this.processTag = processTag;
    }

    public Long getProcessTag() 
    {
        return processTag;
    }
    public void setRelatedParaTable(Long relatedParaTable) 
    {
        this.relatedParaTable = relatedParaTable;
    }

    public Long getRelatedParaTable() 
    {
        return relatedParaTable;
    }

    public String getProcessTagName() {
        return processTagName;
    }

    public void setProcessTagName(String processTagName) {
        this.processTagName = processTagName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pstatNo", getPstatNo())
            .append("pstatName", getPstatName())
            .append("pstatType", getPstatType())
            .append("dllName", getDllName())
            .append("processTag", getProcessTag())
            .append("relatedParaTable", getRelatedParaTable())
            .toString();
    }
}
